<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSitesTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('sites', function(Blueprint $table)
		{
			$table->increments('id');
			$table->timestamps();
			$table->string('url', 191);
			$table->string('name', 191);
			$table->string('devurl', 191)->nullable();
			$table->text('aboutus', 65535)->nullable();
			$table->text('address')->nullable();
			$table->string('description', 191)->nullable();
			$table->string('email', 191);
			$table->string('phone', 191)->nullable();
			$table->string('fax', 191)->nullable();
			$table->string('logo', 191)->nullable();
			$table->string('favicon', 191)->nullable();
			$table->string('theme', 191);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('sites');
	}

}
